#
# spec file for package libxml2-python (Version 2.5.10)
#
# Copyright (c) 2004 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libxml2 libxml2-devel python python-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool libxml2 libxml2-devel perl python python-devel rpm

Name:         libxml2-python
%define prefix      %{_prefix}
%define sysconfdir  %{_sysconfdir}
License:      X11/MIT
Group:        Development/Libraries/Python
Autoreqprov:  on
%define pyver %(python -c 'import sys; print sys.version[:3]')
Requires:     python >= %pyver, python < %{pyver}.99
Summary:      Python bindings for libxml2
Version:      2.5.10
Release:      64
Source:       libxml2-%{version}.tar.bz2
# libxml tarball is contained in libxml2 source rpm
NoSource:     0
Patch0:       nanohttp.patch
Patch1:       nanoftp.patch
Patch2:       libxml2-sec-http_ftp.diff
Patch3:       nanohttp-%{version}-secfix-dns-bof.diff
Patch4:       nanoftp-%{version}-secfix-dns-bof.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://xmlsoft.org

%description
The libxml2-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxml2 library to manipulate XML files.

This library allows to manipulate XML files. It includes support to
read, modify and write XML and HTML files. There is DTDs support this
includes parsing and validation even with complex DTDs, either at parse
time or later once the document has been modified.



Authors:
--------
    Daniel Veillard <daniel@veillard.com>
    Bjorn Reese <breese@users.sourceforge.net>
    William Brack <wbrack@mmm.com.hk>
    Igor Zlatkovic <igor@stud.fh-frankfurt.de>

%prep
%setup -q -n libxml2-%{version}
%patch -P 0 -p 0 -P 1 -p 0
%patch2 -p 1
%patch3 -p0
%patch4 -p0

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix \
                                    --sysconfdir=%sysconfdir \
                                    --mandir=%{_mandir} \
				    --libdir=%_libdir
# use libxml2 as built by libxml2 source package
mkdir .libs
cp -v /usr/%_lib/libxml2.la .
make -C python

%install
%define python_sitepath %(python -c "import site; print site.sitedirs[0]")
rm -rf $RPM_BUILD_ROOT
export RPM_BUILD_ROOT
make -C python install \
	DESTDIR=$RPM_BUILD_ROOT \
	pythondir=%python_sitepath \
	PYTHON_SITE_PACKAGES=%python_sitepath
# Unwanted doc stuff
rm -fr $RPM_BUILD_ROOT%{_datadir}/doc
# echo %{python_sitepath}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{python_sitepath}/*
# %_libdir/python*/site-packages/*
# %{python_sitepath}/libxml2.py
# %{python_sitepath}/libxml2mod.so
%doc python/TODO
%doc python/libxml2class.txt
%doc python/tests/*.py

%changelog -n libxml2-python
* Mon Dec 20 2004 - thomas@suse.de
- added patch to fix buffer overflow in DNS code. (bug #49363)
* Wed Oct 27 2004 - ke@suse.de
- Fix several buffer overflows that can occur while processing
  FTP and HTTP URLs as well as in DNS name handling code. These bugs can
  be exploited remotely to execute arbitrary code.  Patch provided by
  Thomas Biege [# 47670].
* Fri Aug 29 2003 - mcihar@suse.cz
- require same python version as it was built with
* Fri Aug 15 2003 - ke@suse.de
- Update to version 2.5.10; for more info cf. the libxml2 changelog.
* Thu Aug 14 2003 - ke@suse.de
- Update to version 2.5.9; for more info cf. the libxml2 changelog.
* Tue Jul 08 2003 - ke@suse.de
- Update to version 2.5.8; for more info cf. the libxml2 changelog.
* Mon May 26 2003 - ke@suse.de
- Remove unwanted files from $RPM_BUILD_ROOT.
* Mon Apr 28 2003 - ke@suse.de
- Update to version 2.5.7; for more info cf. the libxml2 changelog.
* Wed Apr 02 2003 - ke@suse.de
- Update to version 2.5.6; for more info cf. the libxml2 changelog.
* Wed Mar 26 2003 - ke@suse.de
- Update to version 2.5.5; for more info cf. the libxml2 changelog.
* Tue Feb 11 2003 - ke@suse.de
- Update to version 2.5.3; for more info cf. the libxml2 changelog.
* Thu Feb 06 2003 - ke@suse.de
- Update to version 2.5.2; for more info cf. the libxml2 changelog.
* Thu Jan 09 2003 - ke@suse.de
- Update to version 2.5.1.
* Thu Dec 12 2002 - ke@suse.de
- Update to version 2.4.30.
* Tue Nov 26 2002 - ro@suse.de
- split specfile to get rid of python dependencies in the main tree
